# Question of the Day

The Question of the Day module allows you to setup a list of questions that the bot selects one from everyday at **00:00 UTC**. The QoTD message is accompanied with a public thread automatically created by the bot, where members of your community can enter their answers.

The bot will automatically delete every question used from the system, so that there are no repetitive questions.

***

### Config QoTD Module (`/config qotd module`)

{% hint style="warning" %}
By default, only members with the **Administration** permission can use this command.
{% endhint %}

*Configure the QoTD Module.*

**`state`**: Whether QoTD should be sent or not.

**`channel`**: The channel where all QoTD messages will be sent at 00:00 UTC.

**`mentions_role`**: The role that will be mentioned when a QoTD message is sent.

***

### Add Question (`/config qotd add_question`)

{% hint style="warning" %}
By default, only members with the **Administration** permission can use this command. Additionally, the QoTD module must first be configured before using this command.
{% endhint %}

*Add a question to the QoTD module.*

**`question`**: The question to be added to the QoTD module.

***

### **Remove Question (**`/config qotd remove_question`**)**

{% hint style="warning" %}
By default, only members with the **Administration** permission can use this command. Additionally, the QoTD module must first be configured before using this command.
{% endhint %}

*Remove a question from the QoTD module.*

**`question`**: The question to be removed from the QoTD module. This is an autocomplete, so it will show you a list of all currently set questions.

***

### List All QoTD Questions (`/config qotd list_questions`)

{% hint style="warning" %}
By default, only members with the **Administration** permission can use this command. Additionally, the QoTD module must first be configured before using this command.
{% endhint %}

*List all questions in the QoTD module.*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.homebots.live/modules/question-of-the-day.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
